package com.adc.da.vdaims.service;

import com.adc.da.vdaims.entity.ConfigSeqEO;
import com.adc.da.mp.base.IBaseService;

import java.io.Serializable;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 * 作者 gen
 * 日期 2021-08-23
 */
public interface IConfigSeqEOService extends IBaseService<ConfigSeqEO> {
    public List<String> getCsvTitle();

    /**
     * 导入csv 文件数据
     * @param dataList
     * @return
     */
    public int importCsv(List<LinkedHashMap<String, Object>> dataList);

    public boolean submit(Serializable... ids);

    /**
     * 产品回退，已完成状态不可回退，回退到待确定状态
     * @param ids
     * @return
     */
    public boolean rollBack(Serializable... ids);


}
