package com.adc.da.vdaims.service.impl;

import com.adc.da.vdaims.entity.SyxyAccountSetEO;
import com.adc.da.vdaims.dao.SyxyAccountSetEODao;
import com.adc.da.vdaims.service.ISyxyAccountSetEOService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 * 作者 gen
 * 日期 2021-09-13
 */
@Service
public class SyxyAccountSetEOServiceImpl extends ServiceImpl<SyxyAccountSetEODao, SyxyAccountSetEO> implements ISyxyAccountSetEOService {

    @Override
    public SyxyAccountSetEO getByQyId(Serializable id) {
        SyxyAccountSetEO syxyAccountSetEO = null;
        QueryWrapper<SyxyAccountSetEO> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(SyxyAccountSetEO.SYXY_ACCOUNT_SET_CREATE_BY_ID,id);
        List<SyxyAccountSetEO> list = list(queryWrapper);
        if(list.size() >0){
            syxyAccountSetEO = list.get(0);
        }
        return syxyAccountSetEO;
    }
}
