package com.adc.da.vdaims.service;

import com.adc.da.vdaims.entity.CertHgzPrintEO;
import com.adc.da.mp.base.IBaseService;
import com.adc.da.vdaims.entity.CertificationEntity;
import com.adc.da.vdaims.vo.CertUploadVehicleInfo;
import com.adc.da.vdaims.vo.StatisticsInfo;

import javax.servlet.http.HttpServletRequest;
import java.io.Serializable;

/**
 * <p>
 * 服务类
 * </p>
 * 作者 gen
 * 日期 2021-09-08
 */
public interface ICertHgzPrintEOService extends IBaseService<CertHgzPrintEO> {
    public boolean finishPrint(Integer type, String id,String dywym,String jym);
    public CertificationEntity getCertificationEntityByCertificateDeclareEntity(CertHgzPrintEO c) ;

    //上传成功后移除数据
    public void updateCerVersionUploadSuccess(CertHgzPrintEO certification , HttpServletRequest request);

    /***
     * 合格证补传
     * @param
     * @param request
     * @return
     */
    public String certificateSupplement(String  id, String reason,HttpServletRequest request);

    //补传后修改版本号和菜单号
    public void updateCerVersion(String id,String reason, HttpServletRequest request);

    //合格证修改成功后移除
    public void toUpdateCerVersion (CertHgzPrintEO certificate, HttpServletRequest request) throws Exception;

    //合格证撤销成功后移除数据
    public void logOutCerVersion(String id,String reason);

    //撤销合格证
    public String doLogout(String id,String reason);

    /**
     * 生成预览pdf
     * @param id
     * @return pdf名称
     */
    public String createPdfPreview(String id);

    /**
     * bian
     * @param certUploadVehicleInfo
     */
    public Boolean updateVehicleInfo(CertUploadVehicleInfo certUploadVehicleInfo);

    StatisticsInfo getStatistics(String qyId, String batch);

}
