package com.adc.da.vdaims.service;

import com.adc.da.vdaims.entity.SyxyEnvironmentAllInfo;
import com.adc.da.vdaims.entity.SyxyEnvironmentalDataEO;
import com.adc.da.mp.base.IBaseService;
import com.adc.da.vdaims.vo.HbqdTemplateInfoVo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 * 作者 gen
 * 日期 2021-08-26
 */
public interface ISyxyEnvironmentalDataEOService extends IBaseService<SyxyEnvironmentalDataEO> {

    boolean syncData(String qyid);
    boolean syncSingleData(String clxh,String qyid); // 同步单车数据
    boolean syncAllData(String pc,String qyname,String qyid);  //同步官方最新数据
    String importHbqdData(List<HbqdTemplateInfoVo> templateInfoVos, String qyId, String name);
    String importNewHbqdData(List<HbqdTemplateInfoVo> templateInfoVos, String qyId, String name);//将校验通过的数据导入到数据表中
    String syncEnvHgzYzxData(String vin,String fdjNo,Date produceDate,String vehicleColor);
    SyxyEnvironmentAllInfo getEnvironmentAllInfoById(Serializable id);
    SyxyEnvironmentAllInfo updateEnvInfo(SyxyEnvironmentAllInfo data);
}
