package com.adc.da.vdaims.service;

import com.adc.da.mp.base.Query;
import com.adc.da.vdaims.entity.SyxyInspectionInformationEO;
import com.adc.da.vdaims.entity.SyxyModelEnviromentalDataEO;
import com.adc.da.mp.base.IBaseService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 * 作者 gen
 * 日期 2021-08-30
 */
public interface ISyxyModelEnviromentalDataEOService extends IBaseService<SyxyModelEnviromentalDataEO> {

    List<SyxyModelEnviromentalDataEO> modelEnviromentalList(Query<SyxyModelEnviromentalDataEO> query);

    IPage<SyxyModelEnviromentalDataEO> modelEnviromentpage(Query<SyxyModelEnviromentalDataEO> query);
    //根据车型款式找到选择的与环保随车信息相对应的docx模板
   String getTemplatePath(String applicationCarType,int templateKind);

    void createQRCodeSIX(String vin);

    void createBarCodeSix(String vin);

    void createQRCode(String vin);

    void createBarCode(String vin);
    //生成打印的环保随车清单word(doc)模板和对应的pdf以实现打印
    String createWord(SyxyModelEnviromentalDataEO environmentalPrint, SyxyModelEnviromentalDataEO environmentalInfoData, List<SyxyInspectionInformationEO> informations, String templatePath, Integer previewFlag,String qyname,String qyId,String printType) throws UnsupportedEncodingException, FileNotFoundException, IOException;;

    //查找打印机
    String findPrint();

    void downFileWithfileName(String fileName, String previewPath, HttpServletResponse response, HttpServletRequest request);

    SyxyModelEnviromentalDataEO updateEnviromentalData(SyxyModelEnviromentalDataEO data);
    //pdf报送
    String doDeclarePdf(String id,String qyid,String qyname);

//    String createWord(EnvironmentalPrintEntity environmentalPrint,ModelEnviromentalDataEntity environmentalInfoData,List<TypeInspectionInformationEntity> informations,String templatePath,Integer previewFlag) throws UnsupportedEncodingException, FileNotFoundException, TemplateException, IOException;


}
