package com.adc.da.vdaims.service;

import com.adc.da.vdaims.entity.YzxBaseDataEO;
import com.adc.da.mp.base.IBaseService;
import com.adc.da.vdaims.vo.CocInfoamtionVo;
import com.adc.da.vdaims.vo.VehicleCertYzxVo;
import com.adc.da.vdaims.vo.YzxTemplateInfoVo;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.web.context.request.RequestAttributes;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 * 作者 gen
 * 日期 2021-08-25
 */
public interface IYzxBaseDataEOService extends IBaseService<YzxBaseDataEO> {

    IPage<VehicleCertYzxVo> selectYzxInfoList(Page<VehicleCertYzxVo> page, Wrapper<VehicleCertYzxVo> queryWrapper, String qyId);

    void syncYzxData(String name, String qyId, String batch, RequestAttributes attributes);

    String importYzxData(List<YzxTemplateInfoVo> templateInfoVos, String qyId);

    /**
     * 生成word打印模板
     * @param vehicleCertIdList
     * @param isPdfView
     * @param isFromDeclare
     * @return 生成的打印文件  key:vehicleCertId value: isPdfView==true? PDF文件名称:word文件名称
     */
    Map createWords(List<String> vehicleCertIdList, boolean isPdfView, boolean isFromDeclare);

    /**
     * 替换轮胎规格格式
     *
     * @param tireSize
     * @return
     */
    String splitString(String tireSize);

    CocInfoamtionVo getCocInfoamtion(String cocId);

    void batchBaseCancel(List<String> idList);
}
